> ## Documentation Index > Fetch the complete documentation index at: https://support.fortanix.com/llms.txt > Use this file to discover all available pages before exploring further. # Update a particular registry details > Update a particular registry details. Description and credential are the only editable field of a registry. ## OpenAPI ````json PATCH /v1/registry/{registry-id} { "openapi": "3.0.4", "info": { "title": "Confidential Computing Manager", "description": "Fortanix Confidential Computing Manager Backend. These are APIs using which the frontend and other clients (compute node agents) interact with Fortanix Confidential Computing Manager functionalities, which include compute node and app enrollment, attestation and signing, and Certificate Authority.", "termsOfService": "https://www.fortanix.com/legal/terms/", "contact": { "name": "Fortanix Support", "url": "https://support.fortanix.com/hc/en-us/categories/360003107511-Confidential-Computing-Manager", "email": "support@fortanix.com" }, "license": { "name": "Apache 2.0", "url": "http://www.apache.org/licenses/LICENSE-2.0.html" }, "version": "2.0.0" }, "servers": [ { "url": "https://ccm.fortanix.com" } ], "paths": { "/v1/registry/{registry-id}": { "patch": { "tags": [ "Registry" ], "summary": "Update a particular registry details", "description": "Update a particular registry details. Description and credential are the only editable field of a registry.", "operationId": "updateRegistry", "parameters": [ { "$ref": "#/components/parameters/RegistryId" } ], "requestBody": { "$ref": "#/components/requestBodies/UpdateRegistryRequest" }, "responses": { "200": { "description": "Registry information.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Registry" } } } } }, "security": [ { "bearerToken": [] } ], "x-auth-resource": "Writer,Manager,ActiveAccount" } } }, "components": { "parameters": { "RegistryId": { "name": "registry-id", "in": "path", "description": "UUID of a registry.", "required": true, "schema": { "type": "string", "format": "uuid" } } }, "requestBodies": { "UpdateRegistryRequest": { "description": "Request to update registry details.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/UpdateRegistryRequest" } } }, "required": true, "x-bodyName": "body" } }, "schemas": { "Registry": { "required": [ "url", "registry_id" ], "type": "object", "properties": { "url": { "type": "string", "description": "URL of the registry." }, "registry_id": { "type": "string", "description": "UUID of the registry.", "format": "uuid" }, "description": { "type": "string", "description": "Description of the registry." }, "username": { "type": "string", "description": "Username of the registry." } } }, "UpdateRegistryRequest": { "$ref": "#/components/schemas/PatchRequest" }, "PatchRequest": { "type": "array", "items": { "$ref": "#/components/schemas/PatchDocument" } }, "PatchDocument": { "required": [ "op", "path" ], "type": "object", "properties": { "op": { "$ref": "#/components/schemas/PatchOperation" }, "path": { "type": "string", "description": "It is JSON pointer indicating a field to be updated" }, "value": { "type": "object", "description": "It is the value to be used for the field as indicated by op and path" } }, "description": "A JSONPatch document as defined by RFC 6902. The patch operation is subset of what is supported by RFC 6902." }, "PatchOperation": { "enum": [ "add", "remove", "replace" ], "type": "string", "description": "The operation to be performed" } }, "securitySchemes": { "bearerToken": { "type": "apiKey", "description": "A JWT bearer token to be passed once authenticated.", "name": "Authentication", "in": "header" } } } } ````